# TdApi.UpdateNewCustomQuery (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateNewCustomQuery

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateNewCustomQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewCustomQuery

Enclosing class:
  TdApi

public static final class TdApi.UpdateNewCustomQuery extends TdApi.Update
A new incoming query; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`data`
JSON-serialized query data.
`long`
`id`
The query identifier.
`int`
`timeout`
Query timeout.

## Constructor Summary

Constructors
Constructor
Description
`UpdateNewCustomQuery()`
A new incoming query; for bots only.
`UpdateNewCustomQuery(long id, String data, int timeout)`
A new incoming query; for bots only.
`UpdateNewCustomQuery(DataInput input)`
A new incoming query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
The query identifier.

### data

public String data
JSON-serialized query data.

### timeout

public int timeout
Query timeout.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateNewCustomQuery

public UpdateNewCustomQuery()
A new incoming query; for bots only.

### UpdateNewCustomQuery

public UpdateNewCustomQuery(long id, String data, int timeout)
A new incoming query; for bots only.

Parameters:
  `id` - long The query identifier.
  `data` - String JSON-serialized query data.
  `timeout` - int Query timeout.

### UpdateNewCustomQuery

public UpdateNewCustomQuery(DataInput input) throws IOException
A new incoming query; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`